package com.yonge.cooleshow.biz.dal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * Description 老师作业点评
 *
 * @author liujunchi
 * @date 2022-04-14
 */
@ApiModel("老师作业点评")
public class CourseHomeworkReviewDto {

    @ApiModelProperty(value = "课程ID",required = true)
    @NotNull(message = "课程ID不能为空 ")
    private Long courseScheduleId;

    @ApiModelProperty(value = "点评信息",required = true)
    @NotBlank(message = "点评信息不能为空")
    private String review;

    @ApiModelProperty(value = "老师id",hidden = true)
    private Long teacherId;

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getReview() {
        return review;
    }

    public void setReview(String review) {
        this.review = review;
    }
}
